[mythtv-users] Which MythTV to use?

Michael T. Dean mtdean at thirdcontact.com
Sat Aug 5 15:38:07 UTC 2006

On 08/05/2006 11:18 AM, Cool Frood wrote:
> I've been using the stable 0.19 release in my new setup.  When I
> decided to try out MythStream, I realised that it is more or less in
> sync with MythTV svn, so I wasn't able to compile it.

Uh.  Why not compile the version that doesn't say, "compiles with MythTV 
SVN"--you know, the version that says, "Compiles with MythTV 0.19 
release"?  (Install 0.16_5 and you're good to go.)

>   My question is,
> what's a good version of MythTV to run, because the 0.19 release seems
> to be getting a little old.


>   Being a developer myself, I don't mind if
> I have to fix a line of code here or there if I run into some trouble,
> but at the same time, I don't want a system that's too unstable.  Is
> it OK to run the latest SVN?

Iff you're willing to subscribe to /and/ _read_ the -dev and -commits 
lists.  This is a pretty big commitment of your time, so how much time 
do you want to spend on MythTV?  If you just want a good PVR, use the 
stable version.  If you want to spend a bunch of time working 
on/learning about/keeping up with MythTV, feel free to run SVN.

> Also, is the latest SVN going to be compatible with my 0.19 database,
> or will I to make some changes?

The latest SVN automatically updates your database--meaning you can 
never go back to 0.19 (except from a backup), so make sure you're 
serious if you really do upgrade.  And, with 0.20 arriving "soon", it 
may make more sense to just wait rather than going the SVN route.


More information about the mythtv-users mailing list